Debian Bug report logs - #629838
smc: FTBFS with Boost 1.46 [PATCH]

version graph

Package: smc; Maintainer for smc is Muammar El Khatib <muammar@debian.org>; Source for smc is src:smc.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Wed, 8 Jun 2011 19:33:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version smc/1.9-3

Fixed in version smc/1.9-4

Done: Muammar El Khatib <muammar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Muammar El Khatib <muammarelkhatib@gmail.com>:
Bug#629838; Package smc. (Wed, 08 Jun 2011 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Muammar El Khatib <muammarelkhatib@gmail.com>. (Wed, 08 Jun 2011 19:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: smc: FTBFS with Boost 1.46 [PATCH]
Date: Wed, 8 Jun 2011 22:29:02 +0300
[Message part 1 (text/plain, inline)]
Package: smc
Version: 1.9-3
Severity: normal
Tags: patch

SMC fails to build with the new Boost 1.46 packages [1]. The attached
patch fixes the build on both old and new boost versions.
The changes are actually listed here:

http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html

Regards

Konstantinos

[1]: http://buildd.debian-ports.org/status/fetch.php?pkg=smc&arch=armhf&ver=1.9-3%2Bb1&stamp=1304120136
(armhf is a new port so I had to build most packages with the new
boost libs, hence the error appeared there first).
[smc_boost1.46.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Muammar El Khatib <muammar@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 19:33:13 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 10:09:28 GMT) Full text and rfc822 format available.

Reply sent to Muammar El Khatib <muammar@debian.org>:
You have taken responsibility. (Sat, 20 Aug 2011 22:06:05 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sat, 20 Aug 2011 22:06:06 GMT) Full text and rfc822 format available.

Message #14 received at 629838-close@bugs.debian.org (full text, mbox):

From: Muammar El Khatib <muammar@debian.org>
To: 629838-close@bugs.debian.org
Subject: Bug#629838: fixed in smc 1.9-4
Date: Sat, 20 Aug 2011 22:03:52 +0000
Source: smc
Source-Version: 1.9-4

We believe that the bug you reported is fixed in the latest version of
smc, which is due to be installed in the Debian FTP archive:

smc-data_1.9-4_all.deb
  to main/s/smc/smc-data_1.9-4_all.deb
smc-music_1.9-4_all.deb
  to main/s/smc/smc-music_1.9-4_all.deb
smc_1.9-4.debian.tar.gz
  to main/s/smc/smc_1.9-4.debian.tar.gz
smc_1.9-4.dsc
  to main/s/smc/smc_1.9-4.dsc
smc_1.9-4_amd64.deb
  to main/s/smc/smc_1.9-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629838@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Muammar El Khatib <muammar@debian.org> (supplier of updated smc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Aug 2011 20:18:07 +0200
Source: smc
Binary: smc smc-data smc-music
Architecture: source all amd64
Version: 1.9-4
Distribution: unstable
Urgency: low
Maintainer: Muammar El Khatib <muammar@debian.org>
Changed-By: Muammar El Khatib <muammar@debian.org>
Description: 
 smc        - Jump and Run game like Super Mario World
 smc-data   - levels and game data for Secret Maryo Chronicles
 smc-music  - music files for Secret Maryo Chronicles
Closes: 556349 629838
Changes: 
 smc (1.9-4) unstable; urgency=low
 .
   * Switch to dpkg-source 3.0 (quilt) format.
   * Bumped standards version to 3.9.1. No changes were needed in order to
   * All needed libraries to the linker when building smc were added. With this
     change smc should build correctly with binutils-gold. Thanks to  Mahyuddin
     Susanto for providing a patch. (Closes: #556349)
   * SMC is now able to compile with Boost 1.46. Thanks to Konstantinos
     Margaritis for providing a patch. It was also needed to add the next to the
     debian/rules:
     LDFLAGS = -lboost_system
     (Closes: 629838)
   * Maintainer's mail has been changed.
Checksums-Sha1: 
 ac47e0cadce38579a4762487d8f449a204aff21a 1186 smc_1.9-4.dsc
 dab82a280662be032974df2804f29768d86140f8 11035 smc_1.9-4.debian.tar.gz
 b7a5a37d6a438789c5137be56be50d2a41354944 48511676 smc-data_1.9-4_all.deb
 698b1db6a09209bc1a027b9b4988df18bf9ae2fb 36585786 smc-music_1.9-4_all.deb
 5ee643e38858d73339ee8373bd0cafc0bd08f220 710668 smc_1.9-4_amd64.deb
Checksums-Sha256: 
 48eb8c635f11a8eb8fbd2e624af1e075f1a9c0e700775210ffe018fa166bc740 1186 smc_1.9-4.dsc
 2df437f58c8690111c55366d0f06a0b1557deefb461cd120c73f46b89fb367c8 11035 smc_1.9-4.debian.tar.gz
 c974d86b95befe8d0690df2864df1d588a97b26520eef72eb78abc8ada486fd7 48511676 smc-data_1.9-4_all.deb
 002541ab803b40608c8c813dfd045691119cbdb27429208eba7476c3de7d6f45 36585786 smc-music_1.9-4_all.deb
 f6ccaff87306ca52857df07c88c5425673ec63e2d4a16a121b85d92387ddcd7d 710668 smc_1.9-4_amd64.deb
Files: 
 f7311d8d15cdf8a7663abb0ea9ffce5e 1186 games optional smc_1.9-4.dsc
 5869e49cc56376c531ea6e8bbcd76486 11035 games optional smc_1.9-4.debian.tar.gz
 a77c32649456b01b524391d49f040a71 48511676 games optional smc-data_1.9-4_all.deb
 f6c5bd44f2b0bb44a53223424203f59a 36585786 games optional smc-music_1.9-4_all.deb
 78794758d5f3244204b25cd53a1c6585 710668 games optional smc_1.9-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5QKkEACgkQMOtAOxJwKfEwXgCdFVCeI6kZ7R+yPZa915PUhAu+
aGkAoJFPDGwrUGR9JyjRUjkpezAAtDK6
=JTwM
-----END PGP SIGNATURE-----





Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 22:39:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:18:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:30:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.